summaryrefslogtreecommitdiff
path: root/test/testenv
diff options
context:
space:
mode:
Diffstat (limited to 'test/testenv')
-rwxr-xr-xtest/testenv23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/testenv b/test/testenv
new file mode 100755
index 0000000..131eed2
--- /dev/null
+++ b/test/testenv
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Set up the install to work with
+destdir=$(mktemp --tmpdir -d libretools-test-destdir.XXXXXXXXXX)
+make -C .. install DESTDIR=$destdir &>/dev/null || {
+ echo 'error creating local install, cannot run tests'
+ exit 1
+}
+export PATH="$destdir/usr/bin:$destdir/usr/sbin:$PATH"
+export LIBRETOOLS_LIBDIR="$destdir/usr/lib/libretools"
+
+# Set up the user profile
+home=$(mktemp --tmpdir -d libretools-test-home.XXXXXXXXXX)
+export XDG_CACHE_HOME="$home/.cache"
+export XDG_CONFIG_HOME="$home/.config"
+
+# Run the tests
+eval "$@"
+ret=$?
+
+# Clean up
+rm -rf -- "$destdir" "$testhome"
+exit $ret